/**
 * Main programm to launch the test suite
 * @version 25.09.2007
 * @author Michael J. Beer (mibeer@uni-osnabrueck.de)
 */
/*      
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "config.h"

/**
 * the different parts of the test suite
 */
int matrixTest();
int baseVectorTest();
int mathVectorTest();

int main(int argc, char **argv)
  {
#ifdef PERFORM_BASEVECTOR_TESTS
    baseVectorTest();
#endif
#ifdef PERFORM_MATHVECTOR_TESTS
    mathVectorTest();
#endif
#ifdef PERFORM_MATRIX_TESTS
    matrixTest();
#endif
    return 0;
  }
;
